aboutsummaryrefslogtreecommitdiffstats
path: root/ansible/test-files
diff options
context:
space:
mode:
authorsveneh <sven@ethdev.com>2015-01-15 00:03:37 +0800
committersveneh <sven@ethdev.com>2015-01-15 00:03:37 +0800
commit9326d0a6dd902435ad13fe23c21d7b8f30fb35ce (patch)
tree63e8394001b62c14fa9f8d0bc584e3608b5e4dd3 /ansible/test-files
parent74faa30af6349a7f87959dcf907092b98af735ec (diff)
downloaddexon-tests-9326d0a6dd902435ad13fe23c21d7b8f30fb35ce.tar.gz
dexon-tests-9326d0a6dd902435ad13fe23c21d7b8f30fb35ce.tar.zst
dexon-tests-9326d0a6dd902435ad13fe23c21d7b8f30fb35ce.zip
Dockers for go, cpp
Diffstat (limited to 'ansible/test-files')
-rw-r--r--ansible/test-files/docker-cpp/Dockerfile32
-rw-r--r--ansible/test-files/docker-go/Dockerfile2
-rw-r--r--ansible/test-files/testrunner.sh55
3 files changed, 88 insertions, 1 deletions
diff --git a/ansible/test-files/docker-cpp/Dockerfile b/ansible/test-files/docker-cpp/Dockerfile
new file mode 100644
index 000000000..a3b0e4ca6
--- /dev/null
+++ b/ansible/test-files/docker-cpp/Dockerfile
@@ -0,0 +1,32 @@
+# adjusted from https://github.com/ethereum/cpp-ethereum/blob/develop/docker/Dockerfile
+FROM ubuntu:14.04
+
+ENV DEBIAN_FRONTEND noninteractive
+RUN apt-get update
+RUN apt-get upgrade -y
+
+# Ethereum dependencies
+RUN apt-get install -qy build-essential g++-4.8 git cmake libboost-all-dev libcurl4-openssl-dev wget
+RUN apt-get install -qy automake unzip libgmp-dev libtool libleveldb-dev yasm libminiupnpc-dev libreadline-dev scons
+RUN apt-get install -qy libjsoncpp-dev libargtable2-dev
+
+# NCurses based GUI (not optional though for a succesful compilation, see https://github.com/ethereum/cpp-ethereum/issues/452 )
+RUN apt-get install -qy libncurses5-dev
+
+# Qt-based GUI
+# RUN apt-get install -qy qtbase5-dev qt5-default qtdeclarative5-dev libqt5webkit5-dev
+
+# Ethereum PPA
+RUN apt-get install -qy software-properties-common
+RUN add-apt-repository ppa:ethereum/ethereum
+RUN apt-get update
+RUN apt-get install -qy libcryptopp-dev libjson-rpc-cpp-dev
+
+# Build Ethereum (HEADLESS)
+RUN git clone --depth=1 --branch develop https://github.com/ethereum/cpp-ethereum
+RUN mkdir -p cpp-ethereum/build
+RUN cd cpp-ethereum/build && cmake .. -DCMAKE_BUILD_TYPE=Release -DHEADLESS=1 && make -j $(cat /proc/cpuinfo | grep processor | wc -l) && make install
+RUN ldconfig
+
+ENTRYPOINT ["/cpp-ethereum/build/test/createRandomTest"]
+
diff --git a/ansible/test-files/docker-go/Dockerfile b/ansible/test-files/docker-go/Dockerfile
index 235ffff44..2302518f3 100644
--- a/ansible/test-files/docker-go/Dockerfile
+++ b/ansible/test-files/docker-go/Dockerfile
@@ -16,7 +16,7 @@ RUN apt-get install -y git mercurial build-essential software-properties-common
## Build and install Go
RUN hg clone -u release https://code.google.com/p/go
RUN cd go && hg update go1.4
-RUN cd go/src && ./all.bash && go version
+RUN cd go/src && ./make.bash && go version
## Install GUI dependencies
RUN add-apt-repository ppa:ubuntu-sdk-team/ppa -y
diff --git a/ansible/test-files/testrunner.sh b/ansible/test-files/testrunner.sh
new file mode 100644
index 000000000..08b21c88e
--- /dev/null
+++ b/ansible/test-files/testrunner.sh
@@ -0,0 +1,55 @@
+#!/bin/bash
+
+# create random virtual machine test
+#cd ~/software/Ethereum/pyethereum (python has local dependencies so only works from within the directory)
+while [ 1 ]
+do
+ TEST="$(~/software/Ethereum/cpp-ethereum/build/test/createRandomTest)"
+ # echo "$TEST"
+
+ # test pyethereum
+
+ #OUTPUT_PYTHON="$(python ./tests/test_vm.py "$TEST")"
+ #RESULT_PYTHON=$?
+
+ # test go
+ OUTPUT_GO="$(ethtest "$TEST")"
+ RESULT_GO=$?
+
+ # test cpp-jit
+ #OUTPUT_CPPJIT="$(~/software/Ethereum/cpp-ethereum/build/test/checkRandomTest "$TEST")"
+ #RESULT_CPPJIT=$?
+
+# go fails
+if [ "$RESULT_GO" -ne 0 ]; then
+ echo Failed:
+ echo Output_GO:
+ echo $OUTPUT_GO
+ echo Test:
+ echo "$TEST"
+ echo "$TEST" > FailedTest.json
+ mv FailedTest.json $(date -d "today" +"%Y%m%d%H%M")GO.json # replace with scp to central server
+fi
+
+# python fails
+#if [ "$RESULT_PYTHON" -ne 0 ]; then
+# echo Failed:
+# echo Output_PYTHON:
+# echo $OUTPUT_PYTHON
+# echo Test:
+# echo "$TEST"
+# echo "$TEST" > FailedTest.json
+# mv FailedTest.json $(date -d "today" +"%Y%m%d%H%M")PYTHON.json
+#fi
+
+# cppjit fails
+#if [ "$RESULT_CPPJIT" -ne 0 ]; then
+# echo Failed:
+# echo Output_CPPJIT:
+# echo $OUTPUT_CPPJIT
+# echo Test:
+# echo "$TEST"
+# echo "$TEST" > FailedTest.json
+# mv FailedTest.json $(date -d "today" +"%Y%m%d%H%M")CPPJIT.json
+#fi
+